# PonyBench
<span class="source-link">[[Source]](src/ponybench/pony_bench.md#L108)</span>
```pony
actor tag PonyBench
```

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/pony_bench.md#L114)</span>


```pony
new tag create(
  env: Env val,
  list: BenchmarkList tag)
: PonyBench tag^
```
#### Parameters

*   env: [Env](builtin-Env.md) val
*   list: [BenchmarkList](ponybench-BenchmarkList.md) tag

#### Returns

* [PonyBench](ponybench-PonyBench.md) tag^

---

## Public Behaviours

### apply
<span class="source-link">[[Source]](src/ponybench/pony_bench.md#L128)</span>


```pony
be apply(
  bench: (MicroBenchmark iso | AsyncMicroBenchmark iso))
```
#### Parameters

*   bench: ([MicroBenchmark](ponybench-MicroBenchmark.md) iso | [AsyncMicroBenchmark](ponybench-AsyncMicroBenchmark.md) iso)

---

## Private Behaviours

### _next_benchmark
<span class="source-link">[[Source]](src/ponybench/pony_bench.md#L143)</span>


```pony
be _next_benchmark()
```

---

### _complete
<span class="source-link">[[Source]](src/ponybench/pony_bench.md#L157)</span>


```pony
be _complete(
  results: _Results val)
```
#### Parameters

*   results: [_Results](ponybench-_Results.md) val

---

### _fail
<span class="source-link">[[Source]](src/ponybench/pony_bench.md#L161)</span>


```pony
be _fail(
  name: String val)
```
#### Parameters

*   name: [String](builtin-String.md) val

---

